### Method

# Clutter Backend get_sprite

#### Declaration [src]

    ClutterSprite*
    clutter_backend_get_sprite (
      ClutterBackend* backend,
      ClutterStage* stage,
      const ClutterEvent* for_event
    )

#### Description [src]

Retrieves the `ClutterSprite` affected by `for_event`.

#### Parameters

`stage`

  Type: `ClutterStage`

  A `ClutterStage`.

  The data is owned by the caller of the method.

`for_event`

  Type: `ClutterEvent`

  Event to get sprite for.

  The data is owned by the caller of the method.

#### Return value

Type: `ClutterSprite`

A `ClutterSprite`, or `NULL` if event does not drive one.

The returned data is owned by the instance.
The return value can be `NULL`.